"""Add prev_build_id to dependency_changes

Revision ID: 3aca44fabc38
Revises: 14ef9d47d314
Create Date: 2015-09-07 23:16:46.874240

"""

# revision identifiers, used by Alembic.
revision = '3aca44fabc38'
down_revision = '14ef9d47d314'

from alembic import op
import sqlalchemy as sa


def upgrade():
    op.execute("DELETE FROM unapplied_change;");
    op.add_column('applied_change', sa.Column('prev_build_id', sa.Integer(), nullable=True))
    op.create_index('ix_applied_change_prev_build_id', 'applied_change', ['prev_build_id'], unique=False)
    op.create_foreign_key('fkey_applied_change_prev_build', 'applied_change', 'build',
                          ['prev_build_id'], ['id'], ondelete='SET NULL')
    op.add_column('unapplied_change', sa.Column('prev_build_id', sa.Integer(), nullable=False))
    op.create_index('ix_unapplied_change_prev_build_id', 'unapplied_change', ['prev_build_id'], unique=False)
    op.create_foreign_key('fkey_unapplied_change_prev_build', 'unapplied_change', 'build',
                          ['prev_build_id'], ['id'], ondelete='CASCADE')


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_index('ix_unapplied_change_prev_build_id', table_name='unapplied_change')
    op.drop_column('unapplied_change', 'prev_build_id')
    op.drop_index('ix_applied_change_prev_build_id', table_name='applied_change')
    op.drop_column('applied_change', 'prev_build_id')
    ### end Alembic commands ###
